package com.lovecoding.day13.ex;

public class Test01 {
    public Test01(){
        Inner s1 = new Inner(); //@1122
        s1.a = 10;
        Inner s2 = new Inner(); //@1133
        s2.a = 20;
        Test01.Inner s3 = new Test01.Inner(); //@1144
        System.out.println(s3.a); //5
    }
    class Inner{
        public int a = 5;
    }
    public static void main(String[] args) {
        Test01 t = new Test01();
        Inner r = t.new Inner(); //@1155
        System.out.println(r.a); //5
    }
}